## planets 0.1.0

=== DESCRIPTION ===
Package: planets
Title: Simple and Accessible Data from all Known Planets
Version: 0.1.0
Authors@R: 
    person(given = "Alejandro",
           family = "Jiménez Rico",
           role = c("aut", "cre"),
           email = "aljrico@gmail.com")
Description: The goal of 'planets' is to provide of very simple and accessible data containing basic information from all known planets.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Depends: R (>= 2.10)
NeedsCompilation: no
Packaged: 2019-08-06 11:29:40 UTC; alejandro
Author: Alejandro Jiménez Rico [aut, cre]
Maintainer: Alejandro Jiménez Rico <aljrico@gmail.com>
Repository: CRAN
Date/Publication: 2019-08-07 07:40:02 UTC

## planets 0.1.13

=== Makefile ===
ifndef OCAMLC 
	OCAMLC=ocamlc
endif
ifndef OCAMLOPT
	OCAMLOPT=ocamlopt
endif
ifndef CAMLP4O
	CAMLP4O=camlp4o
endif
ifndef PREFIX
	PREFIX=/usr/local
endif

INCLUDES=-I +labltk
CAMLP4=-pp $(CAMLP4O)
OCAMLDEP=ocamldep
CAMLLIBS=unix.cma str.cma labltk.cma # libjpf.cma mylibs.cma
OCAMLFLAGS=$(INCLUDES) $(CAMLP4) -g -custom $(CAMLLIBS) -cclib -lunix 
OCAMLOPTFLAGS=$(INCLUDES) $(CAMLP4) $(CAMLLIBS:.cma=.cmxa) -inline 50 -cclib -lunix

ifdef PROFILING
  OCAMLC=ocamlcp
  OCAMLOPTFLAGS = -p $(INCLUDES) $(CAMLLIBS:.cma=.cmxa) -inline 40 -cclib -lunix
endif

OBJS =  augSet.cmx augMap.cmx mTimer.cmx common.cmx lstrings.cmx options.cmx \
	constants.cmx fqueue.cmx state.cmx saveState.cmx \
	rk4.cmx fast_physics.cmx \
	collision.cmx physics.cmx help.cmx display.cmx

VERSION := $(shell cat VERSION)
PREFIX = planets-$(VERSION)
FILES := $(shell sed -e s/.*/$(PREFIX)\\/\&/ FILES)
BINFILES := $(shell sed -e s/.*/$(PREFIX)\\/\&/ BINFILES)

all: planets planets.1.gz

install: planets.1.gz
	if [ -x planets ]; then install planets $(PREFIX)/bin/planets; fi
	if [ -x planets.bc ]; then install planets.bc $(PREFIX)/bin/planets; fi
	if [ -x $(PREFIX)/share/applications ]; \
	then install planets.desktop $(PREFIX)/share/applications; fi
	if [ -x $(PREFIX)/share/applnk/Games ]; \
	then install planets.desktop $(PREFIX)/share/applnk/Games; fi
	if [ -x $(PREFIX)/share/pixmaps ]; \
	then install planets.png $(PREFIX)/share/pixmaps; fi
	if [ -x $(PREFIX)/share/man/man1 ]; \
	then install planets.1.gz $(PREFIX)/share/man/man1; fi

planets.1.gz: planets.1
	gzip -c planets.1 > planets.1.gz

rpm: planets.spec src
	rpmbuild -ta ../planets-$(VERSION).tgz

src: planets.spec
	if [ ! -x planets-$(VERSION) ]; then ln -s . planets-$(VERSION); fi
	tar cfz ../planets-$(VERSION).tgz $(FILES)
	rm planets-$(VERSION)

w32: planets
	cp /usr/bin/cygwin1.dll .
	zip -r ../planets.zip planets.exe cygwin1.dll getting_started.html \
	README.txt KEYBINDINGS.txt LICENSE CHANGES BUGS CREDITS \
	COPYING VERSION uni.*
	rm cygwin1.dll

bin: all
	if [ ! -x planets-$(VERSION) ]; then ln -s . planets-$(VERSION); fi
	tar cfz ../planets-x86_Linux-$(VERSION).tgz $(BINFILES)
	rm planets-$(VERSION)

planets: $(OBJS)
	$(OCAMLOPT) -o planets $(OCAMLOPTFLAGS) $^

planets.bc: $(OBJS:.cmx=.cmo)
	$(OCAMLC) -o planets.bc $(OCAMLFLAGS) $^

test: test.ml
	$(OCAMLC) -o test $(OCAMLFLAGS) $^

sqrt: sqrt.ml
	$(OCAMLOPT) -o sqrt $(OCAMLOPTFLAGS) $^

collision: constants.cmx options.cmx fqueue.cmx state.cmx collision.cmx
	$(OCAMLOPT) -o collision $(OCAMLOPTFLAGS) $^

convert: convert.ml
	$(OCAMLC) -o convert $(OCAMLFLAGS) $^


common.ml: common.src.ml VERSION
	sed s/__VERSION__/$(VERSION)/ < common.src.ml > common.ml

planets.spec: planets.src.spec VERSION
	sed s/__VERSION__/$(VERSION)/ < planets.src.spec > planets.spec

# Common rules
.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c $<

# Clean up
clean:
	rm -f *.[0-9].gz
	rm -f *.exe
	rm -f *.obj
	rm -f *.o
	rm -f *.cm[iox]
	rm -f planets
	rm -f planets.bc

# Dependencies
dep:
	$(OCAMLDEP)  $(CAMLP4) $(INCLUDES) *.ml *.mli > .depend

include .depend

=== debian/changelog ===
planets (0.1.13-22build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:16:13 +1100

planets (0.1.13-22) unstable; urgency=medium

  * Fix typo in package description (closes: #1060847)
  * Update homepage
  * debian/clean: remove the file "test" (closes: #1047502)

 -- Ralf Treinen <treinen@debian.org>  Mon, 26 Feb 2024 22:31:12 +0100

planets (0.1.13-21) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove Samuel from Uploaders
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Refer to specific version of license GPL-2+.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:01:07 +0200

planets (0.1.13-20) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Sep 2019 20:47:14 +0200

planets (0.1.13-19) unstable; urgency=medium

  * Make package arch=any (closes: #898173)
  * Standards-Version 4.1.4 (no change)
  * d/copyright: use https in format specification
  * Set Vcs-{Git,Browser} to salsa addresses

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 May 2018 21:58:18 +0200

planets (0.1.13-18) unstable; urgency=medium

  * Depends: use ${ocaml:Depends}, drop static dependency entries
  * debian/rules: use dh --with ocaml
  * Build-dependencies:
    - Drop build-dependency on tk8.5-dev, as we have tk-dev
    - Merge Build-Depends-Indep into Build-Depends as there is only one
      binary package.
    - Drop version constraint in build-dependency dh-ocaml
  * Debhelper compatibility level 11
  * Standards-Version 4.1.3:
    - use https in Vcs-*

 -- Ralf Treinen <treinen@debian.org>  Sat, 20 Jan 2018 10:23:08 +0100

planets (0.1.13-17) unstable; urgency=medium

  * debhelper compat level 10
  * Standards-version 4.1.0:
    - remove debian/menu since there is an upstream desktop file
    - change Priority to optional
  * improve wording in long description
  * fix spelling in debian/doc-base.planets-intro

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 Sep 2017 08:18:45 +0200

planets (0.1.13-16) unstable; urgency=medium

  * Team upload.
  * Fix installability on bytecode architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 16 Oct 2015 21:20:22 +0200

planets (0.1.13-15) unstable; urgency=low

  * Team upload
  * Fix bug number in previous changelog entry
  * Add liblabltk-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:20:14 +0200

planets (0.1.13-14) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix compilation with OCaml 4.01.0 (Closes: #731273)
  * Add tk-dev to Build-Depends
  * Update Vcs-*

  [ Ralf Treinen ]
  * Standards-Version 3.9.5 (no change)
  * Recompile with ocaml 4.01.0 (no source change)
  * debian/copyright: convert to machine-readable format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 09:17:24 +0100

planets (0.1.13-13) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 3.12.1 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 21:26:53 +0100

planets (0.1.13-12) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/rules: migrate to dh, bump version of debhelper
  * Standards-version: 3.9.2 (no change)
  * Use dh-ocaml to compute dependency on ocaml runtime (closes: #599327)
  * Bump versions on dh-ocaml and ocaml-nox

  [ Stéphane Glondu ]
  * Switch packaging to git

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 20:29:58 +0200

planets (0.1.13-11) unstable; urgency=low

  * modified debian/patches/fix_desktop: added Science to desktop entry
    categories list. Thanks to Petter Reinholdtsen for the patch.
    (Closes: #576497).
  * Removed Zack from uploaders on his request.

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Jun 2010 20:01:09 +0200

planets (0.1.13-10) unstable; urgency=low

  * Convert to source format 3.0 (quilt)
    - debian/paches quilt style
    - no more patching in debian/rules
    - added debian/source/format
  * Standards-version 3.8.4 (no change)
  * Recompile for ocaml 3.11.2

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 21:35:07 +0100

planets (0.1.13-9) unstable; urgency=low

  * debian/control: added Homepage
  * Standards-Version: 3.8.2 (no change)
  * Rebuild for ocaml 3.11.1

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 23:05:16 +0200

planets (0.1.13-8) unstable; urgency=low

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Ralf Treinen ]
  * Add build-dependency on dh-ocaml
  * Relaxed build-dependency on ocaml to >= 3.04
  * Removed spurious dependency on ocaml-base | ocaml
  * Add dependency on ${misc:Depends}
  * debian/rules, cdbs: class/ocaml.mk -> rules/ocaml.mk
  * debian/rules: use variable $(DEB_DESTDIR) for install commands

 -- Ralf Treinen <treinen@debian.org>  Sat, 07 Mar 2009 21:04:45 +0100

planets (0.1.13-7) unstable; urgency=low

  * debian/control: Bump Standards-Version (no changes necessary).
  * debian/control: Switch from Tk 8.4 to Tk 8.5.
  * debian/control: Add dependency ocaml-base | ocaml, to provide a real
    package alternative to ocaml-base-$ABI, and satisfy lintian.

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Sep 2008 10:59:43 +0200

planets (0.1.13-6) unstable; urgency=low

  * Added watch file.
  * Recompile for ocaml 3.10.2
  * Clean up uploaders, added myself

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 May 2008 22:02:06 +0200

planets (0.1.13-5) unstable; urgency=low

  * Convert to cdbs.
  * Split out formerly inline patches to debian/patches/, using
    simple-patchsys.mk.
  * debian/copyright: Add actual copyright declaration.
  * Add Vcs-{Svn,Browser} fields.
  * debian/control: Fix build dependencies.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Mar 2008 18:35:51 +0100



=== debian/control ===
Source: planets
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 tk-dev,
 liblabltk-ocaml-dev,
 ocaml,
 camlp4
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/planets.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/planets
Homepage: https://ocaml.org/p/planets/latest

Package: planets
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Suggests: doc-base
Description: Gravitation simulation of planetary bodies
 Planets is a simple interactive program for playing with simulations
 of planetary systems. It is great for teaching gravitation on planet
 level.
 .
 The user interface is aimed at being simple enough for a fairly young
 kid to enjoy it, there is a special kid-mode for this purpose.

=== debian/watch ===
version=4
http://planets.homedns.org/ dist/planets-([\d.]*)\.tgz
